import { http } from "../utils/http";
import { loadEnv } from "@build/index";
const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL, VITE_WORKORDER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;
const yewuApi = VITE_PROXY_USER_REAL + "/admin/";


const workorderAPI = VITE_WORKORDER_REAL + "/user/company/";

interface userType extends Promise<any> {
  svg?: string;
  code?: number;
  info?: object;
}

// 获取验证码
export const getVerify = (): userType => {
  return http.request("get", "/captcha");
};
export const httpTransformCompany = (data = {}): userType => {
  return http.request("post", `${workorderAPI}/query`, { data });
};

export const getCategories = (data = {}): userType => {
  return http.request("post", `${yewuApi}/catlist`, { data });
};

// 登录
export const getLogin = (data: object) => {
  return http.request("post", `${yewuApi}/login`, { data });
};
// 钉钉获取用户信息
export function ddDetail(data) {
  return http.request("post", `${userAPi}/Api/dintalk`, { data });
}
// 获取当前账号菜单数据
export const getAsyncRoutes = async (data: object) => {
  // const company = window.location.search.split("=");
  const companyNo = window.sessionStorage.getItem("companyNo");

  const result = await http.request("post", `${yewuApi}menu`, {
    data: {
      ...data,
      relaComNo: companyNo
    }
  });


  // console.log(result.data, '~~🚀~~')


  window.sessionStorage.removeItem("companyNo");
  return result;


  // return {
  //   code: 0,
  //   data: [
  //     // {
  //     //   "id": "324",
  //     //   "menu_name": "票务系统",
  //     //   "menu_img": "ep:add-location",
  //     //   "menu_route": "ticket-system",
  //     //   "menu_url": "ticket-system",
  //     //   "pid": "0",
  //     //   "is_show": "1",
  //     //   "is_private": "1",
  //     //   "menu_type": "2",
  //     //   "level": "2",
  //     //   "status": "1",
  //     //   "weight": "13",
  //     //   "action": [
  //     //     "007"
  //     //   ]
  //     // },
  //     {
  //       "id": "166",
  //       "menu_name": "数据看板(超管)",
  //       "menu_img": "ep:shopping-cart-full",
  //       "menu_url": "",
  //       "menu_route": "dashboard",
  //       "pid": "0",
  //       "is_show": "1",
  //       "is_private": "1",
  //       "menu_type": "1",
  //       "weight": "12",
  //       "child": [
  //         {
  //           "id": "169",
  //           "menu_name": "利润报表看板",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "grossMargin",
  //           "menu_url": "dashboard/grossMargin/index",
  //           "pid": "166",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "1",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001"
  //           ]
  //         },
  //         {
  //           "id": "171",
  //           "menu_name": "业绩报表",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "performanceReport",
  //           "menu_url": "dashboard/performanceReport/index",
  //           "pid": "166",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "1",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001"
  //           ]
  //         }
  //       ]
  //     },
  //     {
  //       "id": "172",
  //       "menu_name": "数据看板(业务公司)",
  //       "menu_img": "ep:add-location",
  //       "menu_url": "",
  //       "menu_route": "dashboardCompany",
  //       "pid": "0",
  //       "is_show": "1",
  //       "is_private": "1",
  //       "menu_type": "1",
  //       "weight": "11",
  //       "child": [
  //         {
  //           "id": "174",
  //           "menu_name": "超期应收账明细表",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "accountsReceivableExpired",
  //           "menu_url": "dashboardCompany/accountsReceivableExpired/index",
  //           "pid": "172",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001"
  //           ]
  //         }
  //       ]
  //     },
  //     {
  //       "id": "240",
  //       "menu_name": "元隆可开票类目",
  //       "menu_img": "ep:add-location",
  //       "menu_url": "",
  //       "menu_route": "invCategory",
  //       "pid": "0",
  //       "is_show": "1",
  //       "is_private": "1",
  //       "menu_type": "1",
  //       "weight": "11",
  //       "child": [
  //         {
  //           "id": "241",
  //           "menu_name": "元隆可开票类目",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "invCategory",
  //           "menu_url": "invCategory/invCategory/index",
  //           "pid": "240",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001"
  //           ]
  //         }
  //       ]
  //     },
  //     {
  //       "id": "75",
  //       "menu_name": "买入对账管理",
  //       "menu_img": "ep:add-location",
  //       "menu_url": "purchase/porder/index",
  //       "menu_route": "purchase",
  //       "pid": "0",
  //       "is_show": "1",
  //       "is_private": "1",
  //       "menu_type": "1",
  //       "weight": "10",
  //       "child": [
  //         {
  //           "id": "76",
  //           "menu_name": "买入订单管理",
  //           "menu_img": "ep:management",
  //           "menu_route": "porder",
  //           "menu_url": "purchase/porder/index",
  //           "pid": "75",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "8",
  //           "action": [
  //             "001",
  //             "007",
  //             "048",
  //             "013",
  //             "014",
  //             "055",
  //             "056"
  //           ]
  //         },
  //         {
  //           "id": "77",
  //           "menu_name": "买入订单对账",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "orderRecord",
  //           "menu_url": "purchase/orderRecord/index",
  //           "pid": "75",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "7",
  //           "action": [
  //             "001",
  //             "007",
  //             "013",
  //             "014",
  //             "002",
  //             "038",
  //             "022",
  //             "031",
  //             "055",
  //             "056"
  //           ]
  //         },
  //         {
  //           "id": "78",
  //           "menu_name": "买入订单对账详情",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "orderRecordDetail",
  //           "menu_url": "purchase/orderRecord/detail",
  //           "pid": "75",
  //           "is_show": "1",
  //           "is_private": "0",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "6",
  //           "action": [
  //             "007",
  //             "038",
  //             "039",
  //             "046"
  //           ]
  //         },
  //         {
  //           "id": "79",
  //           "menu_name": "买入付款",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "purchPay",
  //           "menu_url": "purchase/purchPay/index",
  //           "pid": "75",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "5",
  //           "action": [
  //             "001",
  //             "007",
  //             "002"
  //           ]
  //         },
  //         {
  //           "id": "80",
  //           "menu_name": "买入付款详情",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "purchPayDetail",
  //           "menu_url": "purchase/purchPay/detail",
  //           "pid": "75",
  //           "is_show": "1",
  //           "is_private": "0",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "4",
  //           "action": [
  //             "007",
  //             "039",
  //             "020",
  //             "049"
  //           ]
  //         },
  //         {
  //           "id": "82",
  //           "menu_name": "买入回票",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "ticketReturn",
  //           "menu_url": "purchase/ticketReturn/index",
  //           "pid": "75",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "3",
  //           "action": [
  //             "001",
  //             "007",
  //             "017",
  //             "018",
  //             "019",
  //             "002",
  //             "033",
  //             "064",
  //             "010"
  //           ]
  //         },
  //         {
  //           "id": "95",
  //           "menu_name": "买入回票详情",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "ticketReturnDetail",
  //           "menu_url": "purchase/ticketReturn/detail",
  //           "pid": "75",
  //           "is_show": "1",
  //           "is_private": "0",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "2",
  //           "action": [
  //             "007",
  //             "021",
  //             "020",
  //             "063",
  //             "065"
  //           ]
  //         },
  //         {
  //           "id": "131",
  //           "menu_name": "买入付款解除管理",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "purchPayRelive",
  //           "menu_url": "purchase/purchPayRelive/index",
  //           "pid": "75",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001",
  //             "007",
  //             "002",
  //             "024"
  //           ]
  //         },
  //         {
  //           "id": "132",
  //           "menu_name": "买入回票解除管理",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "ticketReturnRelive",
  //           "menu_url": "purchase/ticketReturnRelive/index",
  //           "pid": "75",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001",
  //             "007",
  //             "002"
  //           ]
  //         },
  //         {
  //           "id": "135",
  //           "menu_name": "买入付款解除详情",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "purchPayReliveDetail",
  //           "menu_url": "purchase/purchPayRelive/detail",
  //           "pid": "75",
  //           "is_show": "1",
  //           "is_private": "0",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "007",
  //             "020"
  //           ]
  //         },
  //         {
  //           "id": "136",
  //           "menu_name": "买入回票解除详情",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "ticketReturnReliveDetail",
  //           "menu_url": "purchase/ticketReturnRelive/detail",
  //           "pid": "75",
  //           "is_show": "1",
  //           "is_private": "0",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "007",
  //             "020"
  //           ]
  //         },
  //         {
  //           "id": "153",
  //           "menu_name": "买入回票查询",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "buyInvoiceQuery",
  //           "menu_url": "purchase/buyInvoiceQuery/index",
  //           "pid": "75",
  //           "is_show": "1",
  //           "is_private": "0",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001"
  //           ]
  //         },
  //         {
  //           "id": "244",
  //           "menu_name": "对账单标签操作记录",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "orderRecordRecord",
  //           "menu_url": "purchase/orderRecordRecord/index",
  //           "pid": "75",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001"
  //           ]
  //         },
  //         {
  //           "id": "292",
  //           "menu_name": "进项发票池",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "inputInvoicePool",
  //           "menu_url": "purchaseNew/inputInvoicePool/index",
  //           "pid": "75",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001",
  //             "002",
  //             "006",
  //             "007",
  //             "033",
  //             "066"
  //           ]
  //         },
  //         {
  //           "id": "294",
  //           "menu_name": "买入发票关联管理",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "invoiceRelation_collection",
  //           "menu_url": "purchaseNew/invoiceRelation/index",
  //           "pid": "75",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001",
  //             "002",
  //             "007",
  //             "010",
  //             "018",
  //             "019",
  //             "064"
  //           ]
  //         },
  //         {
  //           "id": "295",
  //           "menu_name": "买入发票关联管理详情",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "invoiceRelationDetail",
  //           "menu_url": "purchaseNew/invoiceRelation/detail",
  //           "pid": "75",
  //           "is_show": "1",
  //           "is_private": "0",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "007",
  //             "021",
  //             "063",
  //             "065",
  //             "067"
  //           ]
  //         },
  //         {
  //           "id": "296",
  //           "menu_name": "买入发票关联解除管理",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "unInvoiceRelation_collection",
  //           "menu_url": "purchaseNew/unInvoiceRelation/index",
  //           "pid": "75",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001",
  //             "002",
  //             "007"
  //           ]
  //         },
  //         {
  //           "id": "297",
  //           "menu_name": "买入发票关联解除详情",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "unInvoiceRelationDetail",
  //           "menu_url": "purchaseNew/unInvoiceRelation/detail",
  //           "pid": "75",
  //           "is_show": "1",
  //           "is_private": "0",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "007",
  //             "020"
  //           ]
  //         },
  //         {
  //           "id": "298",
  //           "menu_name": "采购单标签操作记录",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "paymentRecord",
  //           "menu_url": "purchase/paymentRecord/index",
  //           "pid": "75",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001"
  //           ]
  //         },
  //         {
  //           "id": "307",
  //           "menu_name": "进项发票池详情",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "inputInvoicePoolDetail",
  //           "menu_url": "purchase/inputInvoicePool/detail",
  //           "pid": "75",
  //           "is_show": "1",
  //           "is_private": "0",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "007"
  //           ]
  //         }
  //       ]
  //     },
  //     {
  //       "id": "83",
  //       "menu_name": "销售回款开票",
  //       "menu_img": "ep:add-location",
  //       "menu_url": "",
  //       "menu_route": "InvoiceSales",
  //       "pid": "0",
  //       "is_show": "1",
  //       "is_private": "1",
  //       "menu_type": "1",
  //       "weight": "8",
  //       "child": [
  //         {
  //           "id": "84",
  //           "menu_name": "发票申请管理",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "invoiceApply",
  //           "menu_url": "InvoiceSales/invoiceApply/index",
  //           "pid": "83",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "10",
  //           "action": [
  //             "001",
  //             "007",
  //             "002",
  //             "027",
  //             "028",
  //             "026",
  //             "010",
  //             "040",
  //             "005",
  //             "069"
  //           ]
  //         },
  //         {
  //           "id": "92",
  //           "menu_name": "发票申请详情",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "invoiceApplyDetail",
  //           "menu_url": "InvoiceSales/invoiceApply/detail",
  //           "pid": "83",
  //           "is_show": "1",
  //           "is_private": "0",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "9",
  //           "action": [
  //             "007",
  //             "025",
  //             "058"
  //           ]
  //         },
  //         {
  //           "id": "85",
  //           "menu_name": "资金公海池",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "capitalClaim",
  //           "menu_url": "InvoiceSales/capitalClaim/index",
  //           "pid": "83",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "8",
  //           "action": [
  //             "001",
  //             "007",
  //             "029",
  //             "030",
  //             "057",
  //             "006"
  //           ]
  //         },
  //         {
  //           "id": "87",
  //           "menu_name": "资金认领管理",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "capitalPool",
  //           "menu_url": "InvoiceSales/capitalPool/index",
  //           "pid": "83",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "7",
  //           "action": [
  //             "001",
  //             "007",
  //             "002",
  //             "040",
  //             "034",
  //             "035",
  //             "009"
  //           ]
  //         },
  //         {
  //           "id": "161",
  //           "menu_name": "资金认领详情",
  //           "menu_img": "ep:alarm-clock",
  //           "menu_route": "capitalPoolDetail",
  //           "menu_url": "InvoiceSales/capitalPool/detail",
  //           "pid": "83",
  //           "is_show": "1",
  //           "is_private": "0",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "7",
  //           "action": [
  //             "007",
  //             "025"
  //           ]
  //         },
  //         {
  //           "id": "86",
  //           "menu_name": "确认单公海池",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "sheetOrderPool",
  //           "menu_url": "InvoiceSales/sheetOrderPool/index",
  //           "pid": "83",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "6",
  //           "action": [
  //             "001",
  //             "007",
  //             "015",
  //             "016",
  //             "061",
  //             "062"
  //           ]
  //         },
  //         {
  //           "id": "88",
  //           "menu_name": "发票公海池",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "invoicePool",
  //           "menu_url": "InvoiceSales/invoicePool/index",
  //           "pid": "83",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "5",
  //           "action": [
  //             "001",
  //             "007"
  //           ]
  //         },
  //         {
  //           "id": "89",
  //           "menu_name": "退票申请管理",
  //           "menu_img": "ep:aim",
  //           "menu_route": "returnTicket",
  //           "menu_url": "InvoiceSales/returnTicket/index",
  //           "pid": "83",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "4",
  //           "action": [
  //             "001",
  //             "007",
  //             "002"
  //           ]
  //         },
  //         {
  //           "id": "103",
  //           "menu_name": "退款申请管理详情",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "refundDetail",
  //           "menu_url": "InvoiceSales/refund/detail",
  //           "pid": "83",
  //           "is_show": "1",
  //           "is_private": "0",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "4",
  //           "action": [
  //             "007",
  //             "002",
  //             "025"
  //           ]
  //         },
  //         {
  //           "id": "90",
  //           "menu_name": "退款申请管理",
  //           "menu_img": "ep:aim",
  //           "menu_route": "refund",
  //           "menu_url": "InvoiceSales/refund/index",
  //           "pid": "83",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "3",
  //           "action": [
  //             "001",
  //             "007",
  //             "002"
  //           ]
  //         },
  //         {
  //           "id": "104",
  //           "menu_name": "退票申请管理详情",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "returnTicketDetail",
  //           "menu_url": "InvoiceSales/returnTicket/detail",
  //           "pid": "83",
  //           "is_show": "1",
  //           "is_private": "0",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "3",
  //           "action": [
  //             "007",
  //             "025"
  //           ]
  //         },
  //         {
  //           "id": "110",
  //           "menu_name": "红字发票信息表",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "redInk",
  //           "menu_url": "redInk/index",
  //           "pid": "83",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "2",
  //           "action": [
  //             "001"
  //           ]
  //         },
  //         {
  //           "id": "155",
  //           "menu_name": "销售发票查询",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "invoiceQuery",
  //           "menu_url": "InvoiceSales/invoiceQuery/index",
  //           "pid": "83",
  //           "is_show": "1",
  //           "is_private": "0",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001"
  //           ]
  //         },
  //         {
  //           "id": "177",
  //           "menu_name": "金税开票修改",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "updateInvoice",
  //           "menu_url": "InvoiceSales/updateInvoice/index",
  //           "pid": "83",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "005",
  //             "001"
  //           ]
  //         },
  //         {
  //           "id": "198",
  //           "menu_name": "卖出订单对账管理",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "currentcyOrderRecord",
  //           "menu_url": "InvoiceSales/currentcyOrderRecord/index",
  //           "pid": "83",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001",
  //             "002",
  //             "007",
  //             "013",
  //             "014",
  //             "022",
  //             "055",
  //             "056"
  //           ]
  //         },
  //         {
  //           "id": "199",
  //           "menu_name": "卖出订单对账管理详情",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "currentcyOrderRecordDetail",
  //           "menu_url": "InvoiceSales/currentcyOrderRecord/detail",
  //           "pid": "83",
  //           "is_show": "1",
  //           "is_private": "0",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "007",
  //             "039"
  //           ]
  //         },
  //         {
  //           "id": "200",
  //           "menu_name": "通用订单关联已回款",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "currentcyAssOrderRecord",
  //           "menu_url": "InvoiceSales/currentcyAssOrderRecord/index",
  //           "pid": "83",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001"
  //           ]
  //         },
  //         {
  //           "id": "201",
  //           "menu_name": "卖出付款",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "supplierPay",
  //           "menu_url": "InvoiceSales/supplierPay/index",
  //           "pid": "83",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001",
  //             "007"
  //           ]
  //         },
  //         {
  //           "id": "202",
  //           "menu_name": "卖出付款详情",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "supplierPayDetail",
  //           "menu_url": "/InvoiceSales/supplierPay/detail",
  //           "pid": "83",
  //           "is_show": "1",
  //           "is_private": "0",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "007"
  //           ]
  //         },
  //         {
  //           "id": "203",
  //           "menu_name": "卖出回票",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "supplierTicketReturn",
  //           "menu_url": "InvoiceSales/supplierTicketReturn/index",
  //           "pid": "83",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001",
  //             "007"
  //           ]
  //         },
  //         {
  //           "id": "204",
  //           "menu_name": "卖出回票详情",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "supplierTicketReturnDetail",
  //           "menu_url": "InvoiceSales/supplierTicketReturn/detail",
  //           "pid": "83",
  //           "is_show": "1",
  //           "is_private": "0",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "007"
  //           ]
  //         },
  //         {
  //           "id": "205",
  //           "menu_name": "卖出付款解除",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "supplierPayRelive",
  //           "menu_url": "InvoiceSales/supplierPayRelive/index",
  //           "pid": "83",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001",
  //             "007"
  //           ]
  //         },
  //         {
  //           "id": "206",
  //           "menu_name": "卖出付款解除详情",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "supplierPayReliveDetail",
  //           "menu_url": "InvoiceSales/supplierPayRelive/detail",
  //           "pid": "83",
  //           "is_show": "1",
  //           "is_private": "0",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "007"
  //           ]
  //         },
  //         {
  //           "id": "207",
  //           "menu_name": "卖出回票解除",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "supplierReturnRelive",
  //           "menu_url": "InvoiceSales/supplierReturnRelive/index",
  //           "pid": "83",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001",
  //             "007"
  //           ]
  //         },
  //         {
  //           "id": "208",
  //           "menu_name": "卖出回票解除详情",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "supplierReturnReliveDetail",
  //           "menu_url": "InvoiceSales/supplierReturnRelive/detail",
  //           "pid": "83",
  //           "is_show": "1",
  //           "is_private": "0",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "007"
  //           ]
  //         },
  //         {
  //           "id": "242",
  //           "menu_name": "验票账单",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "inspectTicketBill",
  //           "menu_url": "InvoiceSales/inspectTicketBill/index",
  //           "pid": "83",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001"
  //           ]
  //         },
  //         {
  //           "id": "243",
  //           "menu_name": "确认单标签操作记录",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "sheetOrderRecord",
  //           "menu_url": "InvoiceSales/sheetOrderRecord/index",
  //           "pid": "83",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001"
  //           ]
  //         },
  //         {
  //           "id": "262",
  //           "menu_name": "开票明细导入",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "invoiceDetailImport",
  //           "menu_url": "InvoiceSales/invoiceDetailImport/index",
  //           "pid": "83",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "050",
  //             "001"
  //           ]
  //         },
  //         {
  //           "id": "308",
  //           "menu_name": "批量创建发票申请(元隆定制)",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "batchImportYunlong",
  //           "menu_url": "InvoiceSales/batchImportYunlong/index",
  //           "pid": "83",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "007"
  //           ]
  //         }
  //       ]
  //     },
  //     {
  //       "id": "142",
  //       "menu_name": "结算订单补录",
  //       "menu_img": "ep:add-location",
  //       "menu_url": "",
  //       "menu_route": "netOrderEnter",
  //       "pid": "0",
  //       "is_show": "1",
  //       "is_private": "1",
  //       "menu_type": "1",
  //       "weight": "7",
  //       "child": [
  //         {
  //           "id": "143",
  //           "menu_name": "结算订单补录",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "netOrderEnter",
  //           "menu_url": "netOrderEnter/netOrderEntry/index",
  //           "pid": "142",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001",
  //             "007"
  //           ]
  //         }
  //       ]
  //     },
  //     {
  //       "id": "209",
  //       "menu_name": "业务公司运费对账管理",
  //       "menu_img": "ep:add-location",
  //       "menu_url": "",
  //       "menu_route": "postSupplierOrder",
  //       "pid": "0",
  //       "is_show": "1",
  //       "is_private": "1",
  //       "menu_type": "1",
  //       "weight": "7",
  //       "child": [
  //         {
  //           "id": "210",
  //           "menu_name": "发货运单管理",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "sendOrder",
  //           "menu_url": "postSupplierOrder/sendOrder/index",
  //           "pid": "209",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001",
  //             "048",
  //             "051",
  //             "050",
  //             "006"
  //           ]
  //         },
  //         {
  //           "id": "211",
  //           "menu_name": "批量导入发货运单",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "batchImportSendOrder",
  //           "menu_url": "postSupplierOrder/sendOrder/batchImportSendOrder",
  //           "pid": "209",
  //           "is_show": "1",
  //           "is_private": "0",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "007"
  //           ]
  //         },
  //         {
  //           "id": "212",
  //           "menu_name": "发货运单对账",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "sendOrderRecord_collection",
  //           "menu_url": "postSupplierOrder/sendOrderRecord/index",
  //           "pid": "209",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001",
  //             "002",
  //             "006",
  //             "007",
  //             "031",
  //             "038"
  //           ]
  //         },
  //         {
  //           "id": "213",
  //           "menu_name": "发货运单对账详情",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "sendOrderRecordDetail",
  //           "menu_url": "postSupplierOrder/sendOrderRecord/detail",
  //           "pid": "209",
  //           "is_show": "1",
  //           "is_private": "0",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "007",
  //             "038",
  //             "046",
  //             "052"
  //           ]
  //         },
  //         {
  //           "id": "214",
  //           "menu_name": "发货运单付款",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "sendOrderPay_collection",
  //           "menu_url": "postSupplierOrder/sendOrderPay/index",
  //           "pid": "209",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001",
  //             "002",
  //             "007",
  //             "006"
  //           ]
  //         },
  //         {
  //           "id": "215",
  //           "menu_name": "发货运单付款详情",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "sendOrderPayDetail",
  //           "menu_url": "postSupplierOrder/sendOrderPay/detail",
  //           "pid": "209",
  //           "is_show": "1",
  //           "is_private": "0",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "007",
  //             "049",
  //             "052",
  //             "053"
  //           ]
  //         },
  //         {
  //           "id": "216",
  //           "menu_name": "发货运单回票",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "sendOrderInvoice_collection",
  //           "menu_url": "postSupplierOrder/sendOrderInvoice/index",
  //           "pid": "209",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001",
  //             "002",
  //             "007",
  //             "017",
  //             "018",
  //             "019",
  //             "033"
  //           ]
  //         },
  //         {
  //           "id": "217",
  //           "menu_name": "发货运单回票详情",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "sendOrderInvoiceDetail",
  //           "menu_url": "postSupplierOrder/sendOrderInvoice/detail",
  //           "pid": "209",
  //           "is_show": "1",
  //           "is_private": "0",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "007",
  //             "053",
  //             "054"
  //           ]
  //         },
  //         {
  //           "id": "218",
  //           "menu_name": "发货运单付款解除",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "sendOrderPayRelive_collection",
  //           "menu_url": "postSupplierOrder/sendOrderPayRelive/index",
  //           "pid": "209",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001",
  //             "002",
  //             "007"
  //           ]
  //         },
  //         {
  //           "id": "219",
  //           "menu_name": "发货运单付款解除详情",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "sendOrderPayReliveDetail",
  //           "menu_url": "postSupplierOrder/sendOrderPayRelive/detail",
  //           "pid": "209",
  //           "is_show": "1",
  //           "is_private": "0",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "007",
  //             "053"
  //           ]
  //         },
  //         {
  //           "id": "220",
  //           "menu_name": "发货运单回票解除",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "sendOrderInvoiceRelive_collection",
  //           "menu_url": "postSupplierOrder/sendOrderInvoiceRelive/index",
  //           "pid": "209",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001",
  //             "002",
  //             "007"
  //           ]
  //         },
  //         {
  //           "id": "221",
  //           "menu_name": "发货运单回票解除详情",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "sendOrderInvoiceReliveDetail",
  //           "menu_url": "postSupplierOrder/sendOrderInvoiceRelive/detail",
  //           "pid": "209",
  //           "is_show": "1",
  //           "is_private": "0",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "007",
  //             "053"
  //           ]
  //         }
  //       ]
  //     },
  //     {
  //       "id": "96",
  //       "menu_name": "销售开票类目设置",
  //       "menu_img": "ep:bicycle",
  //       "menu_url": "",
  //       "menu_route": "InvoiceSaleSettings",
  //       "pid": "0",
  //       "is_show": "1",
  //       "is_private": "1",
  //       "menu_type": "1",
  //       "weight": "6",
  //       "child": [
  //         {
  //           "id": "97",
  //           "menu_name": "销售成本类目设置",
  //           "menu_img": "fa:arrow-circle-up",
  //           "menu_route": "commodityCost",
  //           "menu_url": "InvoiceSaleSettings/commodityCost/index",
  //           "pid": "96",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "99",
  //           "action": [
  //             "001",
  //             "007",
  //             "036",
  //             "037",
  //             "041",
  //             "042",
  //             "048"
  //           ]
  //         },
  //         {
  //           "id": "99",
  //           "menu_name": "销售成本类目设置详情",
  //           "menu_img": "fa-solid:arrow-circle-up",
  //           "menu_route": "commodityCostDetail",
  //           "menu_url": "commodityCost/detail",
  //           "pid": "96",
  //           "is_show": "1",
  //           "is_private": "0",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "98",
  //           "action": [
  //             "007",
  //             "005",
  //             "043",
  //             "044"
  //           ]
  //         },
  //         {
  //           "id": "98",
  //           "menu_name": "咨询成交类目设置",
  //           "menu_img": "fa-solid:arrow-circle-up",
  //           "menu_route": "consultingCost",
  //           "menu_url": "InvoiceSaleSettings/consultingCost/index.vue",
  //           "pid": "96",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "89",
  //           "action": [
  //             "001",
  //             "007",
  //             "036",
  //             "037",
  //             "041",
  //             "042",
  //             "048"
  //           ]
  //         },
  //         {
  //           "id": "100",
  //           "menu_name": "咨询成本类目设置详情",
  //           "menu_img": "fa:arrow-circle-up",
  //           "menu_route": "consultingCostDetail",
  //           "menu_url": "consultingCost/detail",
  //           "pid": "96",
  //           "is_show": "1",
  //           "is_private": "0",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "88",
  //           "action": [
  //             "007",
  //             "005",
  //             "043",
  //             "044"
  //           ]
  //         },
  //         {
  //           "id": "236",
  //           "menu_name": "咨询成交子商品类目设置",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "consultingChildCost",
  //           "menu_url": "InvoiceSaleSettings/consultingChildCost/index",
  //           "pid": "96",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "79",
  //           "action": [
  //             "001",
  //             "007",
  //             "036",
  //             "037",
  //             "041",
  //             "042",
  //             "048"
  //           ]
  //         },
  //         {
  //           "id": "237",
  //           "menu_name": "咨询成交子商品类目设置详情",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "consultingChildCostDetail",
  //           "menu_url": "InvoiceSaleSettings/consultingChildCost/detail",
  //           "pid": "96",
  //           "is_show": "1",
  //           "is_private": "0",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "78",
  //           "action": [
  //             "005",
  //             "007",
  //             "043",
  //             "044"
  //           ]
  //         },
  //         {
  //           "id": "178",
  //           "menu_name": "商品税率异常记录",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "abnormalProduct",
  //           "menu_url": "InvoiceSaleSettings/abnormalProduct/index",
  //           "pid": "96",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "69",
  //           "action": [
  //             "045",
  //             "001"
  //           ]
  //         },
  //         {
  //           "id": "184",
  //           "menu_name": "开票类目修改记录",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "modifyRecord",
  //           "menu_url": "InvoiceSaleSettings/modifyRecord/index",
  //           "pid": "96",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "59",
  //           "action": [
  //             "001",
  //             "007"
  //           ]
  //         },
  //         {
  //           "id": "186",
  //           "menu_name": "开票类目修改记录详情",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "modifyRecordDetail",
  //           "menu_url": "InvoiceSaleSettings/modifyRecord/detail",
  //           "pid": "96",
  //           "is_show": "1",
  //           "is_private": "0",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "58",
  //           "action": [
  //             "007"
  //           ]
  //         }
  //       ]
  //     },
  //     {
  //       "id": "62",
  //       "menu_name": "数据源",
  //       "menu_img": "ep:add-location",
  //       "menu_url": "",
  //       "menu_route": "search",
  //       "pid": "0",
  //       "is_show": "1",
  //       "is_private": "1",
  //       "menu_type": "1",
  //       "weight": "5",
  //       "child": [
  //         {
  //           "id": "64",
  //           "menu_name": "数据源",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "standBook",
  //           "menu_url": "search/standBook/index",
  //           "pid": "62",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "1",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001",
  //             "007"
  //           ]
  //         },
  //         {
  //           "id": "106",
  //           "menu_name": "数据源详情",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "standBookDetail",
  //           "menu_url": "search/standBook/detail",
  //           "pid": "62",
  //           "is_show": "1",
  //           "is_private": "0",
  //           "menu_type": "2",
  //           "level": "1",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "007"
  //           ]
  //         }
  //       ]
  //     },
  //     {
  //       "id": "145",
  //       "menu_name": "台账报表",
  //       "menu_img": "ep:add-location",
  //       "menu_url": "",
  //       "menu_route": "reportForm",
  //       "pid": "0",
  //       "is_show": "1",
  //       "is_private": "1",
  //       "menu_type": "1",
  //       "weight": "4",
  //       "child": [
  //         {
  //           "id": "146",
  //           "menu_name": "可申请报表",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "reportApply",
  //           "menu_url": "reportForm/reportApply/index",
  //           "pid": "145",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "1",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001",
  //             "002",
  //             "004",
  //             "003"
  //           ]
  //         },
  //         {
  //           "id": "147",
  //           "menu_name": "报表申请记录",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "reportRecord",
  //           "menu_url": "reportForm/reportRecord/index",
  //           "pid": "145",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001",
  //             "002",
  //             "006"
  //           ]
  //         },
  //         {
  //           "id": "162",
  //           "menu_name": "可申请报表(人事)",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "personnelReport",
  //           "menu_url": "reportForm/personnelReport/index",
  //           "pid": "145",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "1",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001",
  //             "002",
  //             "003",
  //             "004"
  //           ]
  //         },
  //         {
  //           "id": "163",
  //           "menu_name": "报表申请记录(人事)",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "personnelReportRecord",
  //           "menu_url": "reportForm/personnelReportRecord/index",
  //           "pid": "145",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001",
  //             "002",
  //             "006"
  //           ]
  //         },
  //         {
  //           "id": "175",
  //           "menu_name": "可申请报表(仓库)",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "warehouseeReport",
  //           "menu_url": "reportForm/warehouseeReport/index",
  //           "pid": "145",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "1",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001",
  //             "002",
  //             "003",
  //             "004"
  //           ]
  //         },
  //         {
  //           "id": "176",
  //           "menu_name": "报表申请记录(仓库)",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "warehouseRecords",
  //           "menu_url": "reportForm/warehouseRecords/index",
  //           "pid": "145",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001",
  //             "002",
  //             "006"
  //           ]
  //         }
  //       ]
  //     },
  //     {
  //       "id": "47",
  //       "menu_name": "业务参数",
  //       "menu_img": "ep:add-location",
  //       "menu_url": "",
  //       "menu_route": "parameter",
  //       "pid": "0",
  //       "is_show": "1",
  //       "is_private": "1",
  //       "menu_type": "1",
  //       "weight": "3",
  //       "child": [
  //         {
  //           "id": "101",
  //           "menu_name": "公司标签管理",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "tagManage",
  //           "menu_url": "tagManage/index",
  //           "pid": "47",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "98",
  //           "action": [
  //             "001",
  //             "002",
  //             "007",
  //             "005",
  //             "003",
  //             "004"
  //           ]
  //         },
  //         {
  //           "id": "73",
  //           "menu_name": "企业客户",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "clients",
  //           "menu_url": "parameter/clients/index",
  //           "pid": "47",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "0",
  //           "status": "1",
  //           "weight": "94",
  //           "action": [
  //             "001"
  //           ]
  //         },
  //         {
  //           "id": "74",
  //           "menu_name": "企业客户发票",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "invoiceheader",
  //           "menu_url": "parameter/invoiceheader/index",
  //           "pid": "47",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "93",
  //           "action": [
  //             "001",
  //             "002",
  //             "007",
  //             "004",
  //             "003",
  //             "005"
  //           ]
  //         },
  //         {
  //           "id": "156",
  //           "menu_name": "供应商",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "supplierPay",
  //           "menu_url": "parameter/supplierPay/index",
  //           "pid": "47",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "0",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001"
  //           ]
  //         },
  //         {
  //           "id": "157",
  //           "menu_name": "业务公司财务设置",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "finance",
  //           "menu_url": "parameter/finance/index",
  //           "pid": "47",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "0",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001",
  //             "003",
  //             "004",
  //             "005",
  //             "007"
  //           ]
  //         }
  //       ]
  //     },
  //     {
  //       "id": "1",
  //       "menu_name": "业务公司账号权限",
  //       "menu_img": "ep:aim",
  //       "menu_url": "",
  //       "menu_route": "interest",
  //       "pid": "0",
  //       "is_show": "1",
  //       "is_private": "1",
  //       "menu_type": "1",
  //       "weight": "2",
  //       "child": [
  //         {
  //           "id": "124",
  //           "menu_name": "账号管理",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "companyAccount",
  //           "menu_url": "interest/companyAccount/index",
  //           "pid": "1",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "1",
  //           "status": "1",
  //           "weight": "9",
  //           "action": [
  //             "001",
  //             "007",
  //             "005",
  //             "003",
  //             "004",
  //             "012"
  //           ]
  //         },
  //         {
  //           "id": "4",
  //           "menu_name": "角色管理",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "role",
  //           "menu_url": "interest/role/index",
  //           "pid": "1",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "1",
  //           "status": "1",
  //           "weight": "8",
  //           "action": [
  //             "001",
  //             "003",
  //             "004",
  //             "005",
  //             "007",
  //             "002"
  //           ]
  //         },
  //         {
  //           "id": "125",
  //           "menu_name": "账号角色查询",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "accountQuery",
  //           "menu_url": "interest/accountQuery/index",
  //           "pid": "1",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "1",
  //           "status": "1",
  //           "weight": "7",
  //           "action": [
  //             "001",
  //             "007",
  //             "005",
  //             "003",
  //             "004"
  //           ]
  //         },
  //         {
  //           "id": "5",
  //           "menu_name": "功能权限",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "action",
  //           "menu_url": "interest/action/index",
  //           "pid": "1",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "1",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001",
  //             "008"
  //           ]
  //         }
  //       ]
  //     },
  //     {
  //       "id": "150",
  //       "menu_name": "供应商账号权限",
  //       "menu_img": "ep:add-location",
  //       "menu_url": "",
  //       "menu_route": "supplierManage",
  //       "pid": "0",
  //       "is_show": "1",
  //       "is_private": "1",
  //       "menu_type": "1",
  //       "weight": "2",
  //       "child": [
  //         {
  //           "id": "151",
  //           "menu_name": "账号管理",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "supplierAccoutManage",
  //           "menu_url": "supplierManage/supplierAccoutManage/index",
  //           "pid": "150",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "1",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001",
  //             "002",
  //             "005",
  //             "007",
  //             "003",
  //             "004",
  //             "012"
  //           ]
  //         },
  //         {
  //           "id": "152",
  //           "menu_name": "账号角色查询",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "supplierAccoutQuery",
  //           "menu_url": "supplierManage/supplierAccoutQuery/index",
  //           "pid": "150",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "1",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001",
  //             "007",
  //             "005"
  //           ]
  //         },
  //         {
  //           "id": "160",
  //           "menu_name": "角色管理",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "supplierRole",
  //           "menu_url": "supplierManage/supplierRole/index",
  //           "pid": "150",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "1",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001",
  //             "002",
  //             "005",
  //             "007"
  //           ]
  //         }
  //       ]
  //     },
  //     {
  //       "id": "309",
  //       "menu_name": "发票出入库管理",
  //       "menu_img": "ep:add-location",
  //       "menu_url": "",
  //       "menu_route": "invoiceInOut",
  //       "pid": "0",
  //       "is_show": "1",
  //       "is_private": "1",
  //       "menu_type": "1",
  //       "weight": "2",
  //       "child": [
  //         {
  //           "id": "312",
  //           "menu_name": "商品管理",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "productManager",
  //           "menu_url": "invoiceInOut/productManager/index",
  //           "pid": "309",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "100",
  //           "action": [
  //             "001",
  //             "007"
  //           ]
  //         },
  //         {
  //           "id": "313",
  //           "menu_name": "商品详情",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "productManagerDetail",
  //           "menu_url": "invoiceInOut/productManager/detail",
  //           "pid": "309",
  //           "is_show": "1",
  //           "is_private": "0",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "99",
  //           "action": [
  //             "007"
  //           ]
  //         },
  //         {
  //           "id": "314",
  //           "menu_name": "组合商品管理",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "combindProductManager",
  //           "menu_url": "invoiceInOut/combindProductManager/index",
  //           "pid": "309",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "98",
  //           "action": [
  //             "001",
  //             "007",
  //             "002"
  //           ]
  //         },
  //         {
  //           "id": "315",
  //           "menu_name": "组合商品详情",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "combindProductManagerDetail",
  //           "menu_url": "invoiceInOut/combindProductManager/detail",
  //           "pid": "309",
  //           "is_show": "1",
  //           "is_private": "0",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "97",
  //           "action": [
  //             "007"
  //           ]
  //         },
  //         {
  //           "id": "316",
  //           "menu_name": "组装拆卸",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "composition",
  //           "menu_url": "invoiceInOut/composition/index",
  //           "pid": "309",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "96",
  //           "action": [
  //             "001",
  //             "002",
  //             "007"
  //           ]
  //         },
  //         {
  //           "id": "317",
  //           "menu_name": "组装拆卸详情",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "compositionDetail",
  //           "menu_url": "invoiceInOut/composition/detail",
  //           "pid": "309",
  //           "is_show": "1",
  //           "is_private": "0",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "95",
  //           "action": [
  //             "007"
  //           ]
  //         },
  //         {
  //           "id": "318",
  //           "menu_name": "盘点",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "inventoryCheck",
  //           "menu_url": "invoiceInOut/inventoryCheck/index",
  //           "pid": "309",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "94",
  //           "action": [
  //             "001",
  //             "002",
  //             "007"
  //           ]
  //         },
  //         {
  //           "id": "319",
  //           "menu_name": "盘点详情",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "inventoryDetail",
  //           "menu_url": "invoiceInOut/inventory/detail",
  //           "pid": "309",
  //           "is_show": "1",
  //           "is_private": "0",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "93",
  //           "action": [
  //             "007"
  //           ]
  //         },
  //         {
  //           "id": "320",
  //           "menu_name": "计提出库明细处理",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "provision",
  //           "menu_url": "invoiceInOut/provision/index",
  //           "pid": "309",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "92",
  //           "action": [
  //             "001",
  //             "007"
  //           ]
  //         },
  //         {
  //           "id": "321",
  //           "menu_name": "计提出库明细处理详情",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "provisionDetail",
  //           "menu_url": "provision/detail",
  //           "pid": "309",
  //           "is_show": "1",
  //           "is_private": "0",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "91",
  //           "action": [
  //             "007"
  //           ]
  //         },
  //         {
  //           "id": "322",
  //           "menu_name": "收发库存汇总记录",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "receiveSummaryRecord",
  //           "menu_url": "invoiceInOut/receiveSummaryRecord/index",
  //           "pid": "309",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "80",
  //           "action": [
  //             "001"
  //           ]
  //         },
  //         {
  //           "id": "310",
  //           "menu_name": "发票入库明细查询",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "invoiceInQuery",
  //           "menu_url": "invoiceInOut/invoiceInQuery/index",
  //           "pid": "309",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001"
  //           ]
  //         },
  //         {
  //           "id": "311",
  //           "menu_name": "发票出库明细查询",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "invoiceOutQuery",
  //           "menu_url": "invoiceInOut/invoiceOutQuery/index",
  //           "pid": "309",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "2",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001"
  //           ]
  //         }
  //       ]
  //     },
  //     {
  //       "id": "2",
  //       "menu_name": "系统设置",
  //       "menu_img": "ep:add-location",
  //       "menu_url": "",
  //       "menu_route": "system",
  //       "pid": "0",
  //       "is_show": "1",
  //       "is_private": "1",
  //       "menu_type": "1",
  //       "weight": "1",
  //       "child": [
  //         {
  //           "id": "9",
  //           "menu_name": "菜单设置",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "menuOperator",
  //           "menu_url": "system/menuOperator/index",
  //           "pid": "2",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "1",
  //           "status": "1",
  //           "weight": "6",
  //           "action": [
  //             "003",
  //             "005",
  //             "004",
  //             "001",
  //             "007",
  //             "006",
  //             "002"
  //           ]
  //         },
  //         {
  //           "id": "71",
  //           "menu_name": "按钮设置",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "setBtn",
  //           "menu_url": "system/setBtn/index",
  //           "pid": "2",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "1",
  //           "status": "1",
  //           "weight": "5",
  //           "action": [
  //             "001",
  //             "007",
  //             "002",
  //             "003",
  //             "004",
  //             "006",
  //             "005"
  //           ]
  //         },
  //         {
  //           "id": "11",
  //           "menu_name": "版本更新",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "updates",
  //           "menu_url": "system/updates/index",
  //           "pid": "2",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "0",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001",
  //             "007",
  //             "005",
  //             "002"
  //           ]
  //         },
  //         {
  //           "id": "137",
  //           "menu_name": "超管账号管理",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "account",
  //           "menu_url": "system/account/index",
  //           "pid": "2",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "1",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001",
  //             "007",
  //             "003",
  //             "004",
  //             "012",
  //             "005"
  //           ]
  //         },
  //         {
  //           "id": "235",
  //           "menu_name": "按钮管理",
  //           "menu_img": "ep:add-location",
  //           "menu_route": "action",
  //           "menu_url": "system/action/index",
  //           "pid": "2",
  //           "is_show": "1",
  //           "is_private": "1",
  //           "menu_type": "2",
  //           "level": "1",
  //           "status": "1",
  //           "weight": "1",
  //           "action": [
  //             "001",
  //             "002"
  //           ]
  //         }
  //       ]
  //     }
  //   ]
  // }
};

// 刷新token
export const refreshToken = (data: object) => {
  return http.request("post", "/refreshToken", { data });
};

export const httpCompany = (data: object): any => {
  return http.request("post", `${yewuApi}getcompany`, {
    data
  });
};

export const httpUserInfo = (data: object): any => {
  return http.request("post", `${yewuApi}userinfo`, { data });
};

export const httpUserList = (data: object): any => {
  return http.request("post", `${yewuApi}userlist`, { data });
};

export const httpUserSingleList = (data: object): any => {
  return http.request("post", `http://stock.api.caixiao365.com/admin/ulist`, { data });
};


export const httpSupplierall = (data: object): any => {
  return http.request("post", `${yewuApi}supplierlist`, {
    data
  });
};

export const httpSupplierList = (data: object): any => {
  return http.request("post", `${yewuApi}supplier_by_super`, {
    data
  });
};

export const httpBusinessList = (data: object): any => {
  return http.request("post", `${yewuApi}companylist`, {
    data
  });
};

export const httpGetAllCompany = (data: object) => {
  return http.request("post", `${yewuApi}supplierall`, {
    data
  });
};

export const httpGetSupplier = (data: object) => {
  return http.request("post", `${yewuApi}supplier_by_super`, {
    data
  });
};

export const httpGetBusiness = (_data: object) => {
  return http.request("post", `${yewuApi}companylist`, {
    data: {
      ..._data,
      noRela: true
    }
  });
};

export const httpSystemList = (data: object): any => {
  return http.request("post", `${yewuApi}systemlist`, { data });
};


export const transformCompany = (data: object) => {
  return http.request('post', "http://user.api.caixiao365.com/hqInfo", { data })
}
