import { statusOptions, tagTypeOptions, payStatusOptions, invStatusOptions } from "./_options";
import { FormConfig } from "/@/components/PageSearch";
import { orderTypeCgOptions } from "/@/utils/status";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "startTime",
        endProp: "endTime",
        startPlaceholder: "开始日期",
        endPlaceholder: "结束日期"
      }
    },
    {
      field: "tag_id",
      type: "select",
      placeholder: "标签状态",
      span: 4,
      options: tagTypeOptions
    },
    {
      field: 'pay_status',
      type: 'select',
      span: 4,
      placeholder: '付款状态',
      options: payStatusOptions
    },

    {
      field: 'is_comon',
      type: 'select',
      defaultValue: '0',
      otherOptions: {
        clearable: false
      },
      placeholder: '业务类型',
      options: [
        { value: '0', label: '采购订单' },
        { value: '2', label: '源头订单' },
      ]
    },
    {
      field: "group",
      type_field: "group_type",
      type: "input_group",
      otherOptions: {
        inputGroupOptions: [
          { value: "payNo", label: "对账编码" }
        ]
      }
    }
  ]
};

export default searchFormConfig;
