import { FormConfig } from "/@/components/PageSearch";
import { CAPITAL_STATUS } from "/@/utils/details/tragelog";
import { tyStatusOptions, useTypeOptions } from "/@/utils/status";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "创建起始时间",
        endPlaceholder: "创建结束时间"
      }
    },
    {
      field: "status",
      placeholder: "对账状态",
      type: "select",
      options: tyStatusOptions
    },
    {
      field: "orderCode",
      placeholder: "确认单编号",
      type:'input'
    },
    {
      field: "cxCode",
      placeholder: "销售主单号",
      type:'input'
    },
    {
      field: "customerNo",
      placeholder: "买入方公司",
      type: "business-query"
    }
  ]
};

export default searchFormConfig;
