import { FormConfig } from "/@/components/PageSearch";
import { orderTypeCgOptions, ticketReturnReliveStatusOptions } from "/@/utils/status";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "create_timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "新建起始时间",
        endPlaceholder: "新建结束时间"
      }
    },
    {
      field: "companyNo",
      type: "business-query"
    },
    {
      field: "status",
      type: "select",
      placeholder: "审核状态",
      options: ticketReturnReliveStatusOptions
    },

    {
      field: "returnCode",
      type: "input",
      placeholder: "回票解除编码"
    },
    {
      field: "is_comon",
      type: "select",
      placeholder: "业务类型",
      span: 4,
      options: orderTypeCgOptions
    },
  ]
};

export default searchFormConfig;
