import { FormConfig } from "/@/components/PageSearch";
import { tagOptions } from "/@/utils/status";
import { statusOptions } from "./constants"

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: 'create_time',
      type: 'date_picker',
      otherOptions: {
        type: 'daterange',
        startProp: 'create_start',
        endProp: 'create_end',
        startPlaceholder: '创建起始时间',
        endPlaceholder: '创建结束时间'
      }
    },
    {
      field: 'post_supplier_code',
      type: 'supplier-query',
      placeholder: '物流供应商公司'
    },
    {
      field: "status",
      type: "select",
      placeholder: "状态",
      options: statusOptions
    },
    {
      type: "input",
      field: "payNo",
      placeholder: '对账编号'
    },
    // {
    //   type: "input",
    //   field: "payNo",
    //   placeholder: '对账付款编号'
    // }
  ]
};

export default searchFormConfig;
