import { statusOptions, typeOptions } from "./_options";
import { FormConfig } from "/@/components/PageSearch";

export const businessOptions = [
  { value: '0', label: '开票标签' },
  { value: '1', label: '认款标签' },
]

export const functionalOptions = [
  { value: '0', label: '添加' },
  { value: '1', label: '修改' },
  { value: '2', label: '解除' }
]

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "order_timer",
      type: "date_picker",
      label:'操作时间',
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "起始时间",
        endPlaceholder: "结束时间"
      }
    },
    {
      field: "supplierNo",
      type: "supplier-query",
      placeholder: "卖出方公司"
    },
    {
      field: "type",
      type: "select",
      placeholder: "业务类型",
      options: typeOptions.slice(0,2)
    },
    {
      field: "status",
      type: "select",
      placeholder: "功能类型",
      options: statusOptions
    },
    {
      field:'orderCode',
      type:'input',
      placeholder: '对账编号'
    },
    {
      field:'creater',
      type:'input',
      placeholder: '创建人'
    }
  ]
};

export default searchFormConfig;
