import { FormConfig } from "/@/components/PageSearch";

import { statusOptions, orderOptions } from "./options";
import { hasAccountOptions, xs_order_source_options, xs_order_type_options } from "/@/utils/status";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      type: 'input',
      field: 'outChildCode',
      placeholder: '发货工单编号',
    },
    {
      field: "status",
      type: "select",
      placeholder: "状态",
      options: orderOptions
    },
    {
      field: 'order_source',
      type: 'select',
      placeholder: '订单来源',
      options: xs_order_source_options
    },
    // {
    //   field: 'post_supplier_code',
    //   type: 'supplier-query',
    //   placeholder: '物流供应商公司'
    // },
    {
      field: 'create_time',
      type: 'date_picker',
      otherOptions: {
        type: 'daterange',
        startProp: 'create_start',
        endProp: 'create_end',
        startPlaceholder: '创建起始时间',
        endPlaceholder: '创建结束时间'
      }
    },
    // {
    //   type: 'select',
    //   field: 'has_account',
    //   placeholder: '供应商端',
    //   options: hasAccountOptions
    // },
    {
      type: 'select',
      field: 'order_type',
      placeholder: '商品类型',
      options: xs_order_type_options
    },
    // {
    //   field: 'is_order',
    //   type: 'select',
    //   placeholder: '是否对账',
    //   options: orderOptions
    // },
    {
      field: 'companyNo',
      type: 'business-query',
      placeholder: '业务公司'
    }
  ]
};

export default searchFormConfig;
