import { FormConfig } from "/@/components/PageSearch";
import { orderRecordStatusOptions, orderTypeCgOptions } from "/@/utils/status";
import { payStatusOptions, invStatusOptions } from "./_options";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "startTime",
        endProp: "endTime",
        startPlaceholder: "开始日期",
        endPlaceholder: "结束日期"
      }
    },
    {
      field: "companyNo",
      type: "business-query"
    },
    {
      field: "status",
      type: "select",
      placeholder: "审核状态",
      options: orderRecordStatusOptions
    },
    {
      field: 'pay_status',
      type: 'select',
      placeholder: '付款状态',
      options: payStatusOptions
    },
    {
      field: 'inv_status',
      type: 'select',
      placeholder: '回票状态',
      options: invStatusOptions
    },
    {
      field: "group",
      type_field: "group_type",
      type: "input_group",
      otherOptions: {
        inputGroupOptions: [{ value: "payNo", label: "对账编码" }]
      }
    },
    {
      field: "is_comon",
      type: "select",
      placeholder: "业务类型",
      span: 4,
      options: orderTypeCgOptions
    }
  ]
};

export default searchFormConfig;
